- [HTTP request](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#body.request_body)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#body.response_body)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#body.MonitorLandscapeResponse.SCHEMA_REPRESENTATION)
- [MonitoredLandscape](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#MonitoredLandscape)
  - [JSON representation](https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#MonitoredLandscape.SCHEMA_REPRESENTATION)

Monitor landscape data at a given geographical location.

### HTTP request

`POST https://agriculturalunderstanding.googleapis.com/v1:monitorLandscape`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/agricultural-understanding/reference/rest/v1/errors)

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "locationSpecifier": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/LocationSpecifier`) }, "dataVersion": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`) } } ``` |

| Fields ||
|---|---|
| `locationSpecifier` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/LocationSpecifier`)`` Required. The location specifier of the monitored landscape. |
| `dataVersion` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`)`` Optional. The version of the data. If not specified, the default version will be returned. |

### Response body

Response message for v1.monitorLandscape method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "monitoredLandscape": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#MonitoredLandscape`) } } ``` |

| Fields ||
|---|---|
| `monitoredLandscape` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/TopLevel/monitorLandscape#MonitoredLandscape`)`` The monitored landscape data. |

## MonitoredLandscape

MonitoredLandscape data.

| JSON representation |
|---|
| ``` { "dataVersion": { object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`) }, "geojson": string } ``` |

| Fields ||
|---|---|
| `dataVersion` | ``object (`https://developers.google.com/agricultural-understanding/reference/rest/v1/DataVersion`)`` The version of the data. |
| `geojson` | `string` The monitored landscape data as a [GeoJSON](https://geojson.org/) string. |